Subject: bug#6128: closed (Re: bug#6128: Suggestion for improving info node "GDB Graphical Interface")

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 07 May 2010 14:52:02 +0000

Your bug report

#6128: Suggestion for improving info node "GDB Graphical Interface"

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6128: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6128
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6128: Suggestion for improving info node "GDB Graphical Interface"
From: Chong Yidong <[email-masked]>
To: Stephen Berman <[email-masked]>
Cc: [email-masked], Reuben Thomas <[email-masked]>
Date: Fri, 07 May 2010 10:51:31 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Stephen Berman <[email-masked]> writes:

> On Thu, 6 May 2010 22:35:15 +0100 Reuben Thomas <[email-masked]> wrote:
>
>> "In effect, this makes Emacs into an IDE (interactive development environment)."
>>
>> I suggest this sentence be removed. There are two problems: first,
>> "IDE" stands for "Integrated Development Environment", not
>> "Interactive Development Environment". Secondly, the GDB Graphical
>> Interface does not make Emacs either of those things: it is both
>> already integrated (in this case, for debugging, with the existing
>> gud-* modes) and interactive (fundamentally). Perhaps the intention of
>> this sentence is to advertise that this mode can make Emacs more like
>> a more typical GUI-based IDE, but that dubious both as a statement and
>> as a wish.
>
> I agree the sentence should be removed, which would obviate needing to
> correct its grammar (to either "makes Emacs an IDE" or "turns Emacs into
> an IDE").

I agree.  Committed to the repository.

Subject: Suggestion for improving info node "GDB Graphical Interface"
From: Reuben Thomas <[email-masked]>
To: bug-emacs <[email-masked]>
Date: Thu, 6 May 2010 22:35:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

"In effect, this makes Emacs into an IDE (interactive development environment)."

I suggest this sentence be removed. There are two problems: first,
"IDE" stands for "Integrated Development Environment", not
"Interactive Development Environment". Secondly, the GDB Graphical
Interface does not make Emacs either of those things: it is both
already integrated (in this case, for debugging, with the existing
gud-* modes) and interactive (fundamentally). Perhaps the intention of
this sentence is to advertise that this mode can make Emacs more like
a more typical GUI-based IDE, but that dubious both as a statement and
as a wish.

-- 
http://rrt.sc3d.org